/**
 * 项目：-
 * @Author: xiongwei
 * @Date: 2022-06-28 11:50:00
 */

import { defHttp } from '/@/utils/http/axios';
import { ApiResponse } from '../model/baseModel';
import {
  Role,
  RoleParams,
  RolePageResult,
  RolePageResponse,
  RoleResponse,
} from '../model/role';

const baseApi = '/v1/system/role';

/**
 * 新增
 */
export const add = (entity: Role) =>
  defHttp.post<Role>({ url: `${baseApi}/`, data: entity });

/**
 * 更新
 */
export const update = (entity: Role) =>
  defHttp.put<Role>({ url: `${baseApi}/`, data: entity });

/**
 * 删除
 */
export const remove = (id: any) =>
  defHttp.delete<Number>({ url: `${baseApi}/${id}` });

/**
 * 分页查询
 */
export const search = (params?: RoleParams) =>
  defHttp.get<RolePageResult>({ url: `${baseApi}/search`, params });

/**
 * 列表查询
 */
export const all = (params?: RoleParams) =>
  defHttp.get<RolePageResult>({ url: `${baseApi}/all`, params });

/**
 * 通过主键查询
 */
export const getById = (id: any) =>
  defHttp.get<Role>({ url: `${baseApi}/${id}` });

/**
 * 单个查询
 */
export const getOne = (params?: RoleParams) =>
  defHttp.get<Role>({ url: `${baseApi}/one`, params });

/**
 * 批量删除
 */
export const batchRemove = (idList: Array<any>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-delete`, data: idList });

/**
 * 批量新增
 */
export const batchAdd = (entityList: Array<Role>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-save`, data: entityList });

/**
 * 批量更新
 */
export const batchUpdate = (entityList: Array<Role>) =>
  defHttp.post<boolean>({ url: `${baseApi}/batch-update`, data: entityList });

/**
 * 查询数量
 */
export const count = (params?: RoleParams) =>
  defHttp.get<Number>({ url: `${baseApi}/count`, params });


/**
 * 更新角色权限
 */
export const updateAuthority = (role: Role) =>
  defHttp.put<Role>({ url: `${baseApi}/authority`, data: role });

